<UserControl
    x:Class="Cafe_App.View.UserControl_Order1"
    xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
    xmlns:local="clr-namespace:Cafe_App.View"
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
    Width="auto"
    Height="auto"
    mc:Ignorable="d">
    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="40*" />
            <ColumnDefinition Width="50*" />
        </Grid.ColumnDefinitions>
        <TextBlock FontSize="24" FontWeight="Bold">PRODUK</TextBlock>
        <Border
            Width="280"
            Margin="0,35,0,0"
            HorizontalAlignment="Left"
            BorderBrush="Black"
            BorderThickness="1">
            <Grid Grid.Column="0" Margin="0,5,0,0">
                <StackPanel VerticalAlignment="Top" Orientation="Horizontal">
                    <Button Width="30" Height="30">Cari</Button>
                    <TextBox
                        Width="250"
                        Height="30"
                        VerticalContentAlignment="Center"
                        Text="{Binding ProduksFilter, UpdateSourceTrigger=PropertyChanged}" />
                </StackPanel>
                <Grid Margin="0,30,0,0">
                    <ListView
                        x:Name="ListProduk"
                        HorizontalContentAlignment="Stretch"
                        Cursor="Hand"
                        ItemsSource="{Binding ProdukCollectionView}"
                        SelectedItem="{Binding SelectedProduk}"
                        SelectionChanged="ListView_SelectionChanged">
                        <ListView.ItemTemplate>
                            <DataTemplate>
                                <Grid>
                                    <Grid.ColumnDefinitions>
                                        <ColumnDefinition Width="auto" />
                                        <ColumnDefinition Width="*" />
                                    </Grid.ColumnDefinitions>
                                    <Image
                                        Grid.Column="0"
                                        Height="70"
                                        HorizontalAlignment="Left"
                                        Source="{Binding ImageProduk}" />
                                    <StackPanel Grid.Column="1" VerticalAlignment="Center">
                                        <TextBlock
                                            HorizontalAlignment="Center"
                                            FontSize="14"
                                            Text="{Binding Nama}" />
                                        <TextBlock
                                            HorizontalAlignment="Center"
                                            FontSize="14"
                                            Text="{Binding HargaJual, StringFormat={}{0:Rp 0}}" />
                                    </StackPanel>
                                </Grid>
                            </DataTemplate>
                        </ListView.ItemTemplate>
                    </ListView>
                </Grid>
            </Grid>

        </Border>
        <Border
            Grid.Column="1"
            Margin="0,35,0,0"
            Padding="10"
            BorderBrush="Black"
            BorderThickness="1">
            <Grid Grid.Column="1">
                <Grid>
                    <StackPanel Orientation="Vertical">
                        <Border
                            x:Name="BarangSelect"
                            Width="335"
                            Height="0"
                            BorderBrush="Black"
                            BorderThickness="1">
                            <Grid>
                                <Grid.ColumnDefinitions>
                                    <ColumnDefinition Width="auto" />
                                    <ColumnDefinition Width="*" />
                                </Grid.ColumnDefinitions>
                                <Image
                                    Grid.Column="0"
                                    Height="70"
                                    HorizontalAlignment="Left"
                                    Source="{Binding SelectedProduk.ImageProduk}" />
                                <StackPanel
                                    Grid.Column="1"
                                    Margin="40,10"
                                    HorizontalAlignment="Left">
                                    <TextBlock
                                        HorizontalAlignment="Left"
                                        FontSize="14"
                                        Text="{Binding SelectedProduk.Nama}" />
                                    <TextBlock
                                        HorizontalAlignment="Left"
                                        FontSize="14"
                                        Text="{Binding SelectedProduk.HargaJual, StringFormat={}{0:Rp 0}}" />
                                    <StackPanel Margin="0,10" Orientation="Horizontal">
                                        <TextBlock Height="20">Jumlah</TextBlock>
                                        <TextBox
                                            Width="30"
                                            Height="20"
                                            Margin="5,0,0,0"
                                            Text="{Binding ModelDetailJual.Jumlah}" />
                                        <Button
                                            Height="20"
                                            Margin="10,0,0,0"
                                            Click="Button_Click"
                                            Command="{Binding AddCommand}">
                                            Tambah
                                        </Button>
                                    </StackPanel>
                                </StackPanel>
                            </Grid>

                        </Border>
                        <TextBlock FontSize="24">List Order</TextBlock>
                        <Grid Margin="0,10,0,0">
                            <Grid.ColumnDefinitions>
                                <ColumnDefinition Width="30*" />
                                <ColumnDefinition Width="20*" />
                                <ColumnDefinition Width="20*" />
                                <ColumnDefinition Width="30*" />
                            </Grid.ColumnDefinitions>
                            <TextBlock Grid.Column="0">Nama Produk</TextBlock>
                            <TextBlock Grid.Column="1" HorizontalAlignment="Center">Jumlah</TextBlock>
                            <TextBlock Grid.Column="2" HorizontalAlignment="Center">Harga</TextBlock>
                            <TextBlock Grid.Column="3" HorizontalAlignment="Right">Subtotal</TextBlock>
                        </Grid>
                        <ScrollViewer Height="140" VerticalScrollBarVisibility="Hidden">
                            <ItemsControl Margin="0,0,0,0" ItemsSource="{Binding ListJual}">
                                <ItemsControl.ItemTemplate>
                                    <DataTemplate>
                                        <Border
                                            x:Name="Border"
                                            Padding="8"
                                            BorderBrush="#50000000"
                                            BorderThickness="0,0,0,1">
                                            <Grid>
                                                <Grid.ColumnDefinitions>
                                                    <ColumnDefinition Width="30*" />
                                                    <ColumnDefinition Width="20*" />
                                                    <ColumnDefinition Width="20*" />
                                                    <ColumnDefinition Width="30*" />
                                                </Grid.ColumnDefinitions>
                                                <TextBlock Grid.Column="0" Text="{Binding ModelProduk.Nama}" />
                                                <TextBlock
                                                    Grid.Column="1"
                                                    HorizontalAlignment="Center"
                                                    Text="{Binding Jumlah}" />
                                                <TextBlock
                                                    Grid.Column="2"
                                                    HorizontalAlignment="Center"
                                                    Text="{Binding ModelProduk.HargaJual, StringFormat={}{0:n0}}" />
                                                <TextBlock
                                                    Grid.Column="3"
                                                    HorizontalAlignment="Right"
                                                    Text="{Binding Subtotal, StringFormat={}{0:n0}}" />
                                            </Grid>
                                        </Border>
                                    </DataTemplate>
                                </ItemsControl.ItemTemplate>
                            </ItemsControl>
                        </ScrollViewer>

                    </StackPanel>
                    <StackPanel VerticalAlignment="Bottom">
                        <Grid Margin="0,10,0,20">
                            <TextBlock>Total</TextBlock>
                            <TextBlock HorizontalAlignment="Right" Text="{Binding TempTotalJual}" />
                        </Grid>
                        <Button
                            Background="Black"
                            Click="Button_Click_1"
                            Foreground="White">
                            Bayar
                        </Button>
                        <Button Margin="0,10,0,0" Click="Button_Click_2">Cancel</Button>
                    </StackPanel>
                </Grid>
            </Grid>
        </Border>
    </Grid>
</UserControl>
